WinShopAPI docs
ReferenceCompanies

List authorised persons

Returns the people authorised to act for this company. Requires `Permissions.Companies.View`.

GET
/api/companies/{companyId}/authorized-persons

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/companies/0/authorized-persons' \  -H 'Authorization: Bearer <access-token>'
[  {    "companyId": 0,    "email": "string",    "id": 0,    "isInactive": true,    "name": "string",    "number": "string",    "phone": "string",    "shouldSendMailTo": true  }]